# 파트너사 서버와 연동 셋팅

### 1. 파트너사 서버와 연결을 위한 기본 정보 셋팅

![](/files/-LoGFMToLNf6g29jjq52)

* APP 게이트웨이 : QR 코드를 요청할 파트너사의 서버 URL&#x20;
* APP 통지주소 : 지불 고객이 웹사이트나, 앱으로 QR코드를 스캔하여 결제를 완료하면, 결제 내용을 파트너사의 서버로 전달함. 이 때, 결제 내용을 전달받을 파트너사의 서버 URL&#x20;
* APP return URL : 고객이 결제를 완료한 후에 파트너사의 URL에서 이동하게 될 웹사이트 URL

### 2. API 연결을 위한 키값 생성하기 &#x20;

![APP Private KEY 만들기](/files/-LoGGTb5cbiJQJ7Eyxz6)

* RSA Tools를 선택한 후, 하단에 표시된 CREATE 버튼을 누르면, 해당 파트너사를 위한 Private Key 생성&#x20;
* \-- BEGIN 으로 시작하는 Private Key 를 복사하여, 와라페이 API 서버와 통신시에 Private Key로 사용

![WaraPay Public Key 얻기 ](/files/-LoGH-lPQpctaGkY4Qh4)

* 'WaraPay 공개키 조회'를 클릭하면, 파트너사가 사용할 수 있는 공개키를 확인 가능 &#x20;
* \-- BEGIN 으로 시작하는 Public Key 를 복사하여, 와라페이 API 서버와 통신시에 Public Key로 사용

```
<?php
global $config;
$config = array (	
		//APPID that you can find at dashboard
		'appid' => "",
	 
		//WaraPay Publick Key that you can find at dashboard
		'warapay_public_key' => "",
 
		//Your Private Key that you can make new at dashboard
		'app_private_key' => "",
 
		// No need to modify it
		'charset' => "UTF-8",

		// Warapay API Gateway URL
		'gatewayUrl' => "https://wara-kr.miguyouxi.com/api/gateway.html", 
		
		// Query order Gateway URL
		'queryUrl' => "https://wara-kr.miguyouxi.com/api/query.html", 

);
?>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://warapay.gitbook.io/warapay/developer/undefined.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
